org.apache.ignite.igfs.mapreduce

## Class IgfsFileRange

- java.lang.Object
- - org.apache.ignite.igfs.mapreduce.IgfsFileRange

    public class IgfsFileRange
    extends Object

Entity representing part of IGFS file identified by file path, start position, and length.

### Constructor Summary

Constructors
Constructor and Description
`IgfsFileRange(IgfsPath path, long start, long len)` Creates file range.

### Method Summary

Methods
`long` `length()` Gets range length.
`IgfsPath` `path()` Gets file path.
`long` `start()` Gets range start position.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsFileRange

    public IgfsFileRange(IgfsPath path,
                 long start,
                 long len)

Creates file range.

Parameters:
  `path` - File path.
  `start` - Start position.
  `len` - Length.

### Method Detail

#### path

    public IgfsPath path()

Gets file path.

Returns:
  File path.

#### start

    public long start()

Gets range start position.

Returns:
  Start position.

#### length

    public long length()

Gets range length.

Returns:
  Length.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015